Create a package

View as Markdown
Creates a package and its index script as a Postman Package Library resource.

Authentication

x-api-keystring
API Key authentication via header

Query parameters

workspacestringRequired
The workspace's ID.

Request

This endpoint expects an object.
namestringRequiredformat: "^[a-zA-Z][a-zA-Z0-9_-]*$"1-200 characters
The package's import name. The service stores this value in lowercase.
descriptionstringOptionalformat: "^[ -~]*$"<=500 charactersDefaults to
The package's description. This value may be empty and only supports printable ASCII characters.
scriptstringOptional<=512000 charactersDefaults to
The package's initial index script content. This value may be empty.

Response

Package Created
idstring
The package's ID.
namestringformat: "^[a-z][a-z0-9_-]*$"1-200 characters
The package's immutable, lowercase import name.
descriptionstringformat: "^[ -~]*$"<=500 characters
The package's description. This value may be empty and only supports printable ASCII characters.
scriptstring<=512000 characters
The package's current index script content. This value may be empty.
createdByinteger>=1
The user ID of the user who created the package.
createdAtdatetime
The date and time at which the package was created.
updatedAtdatetime
The date and time at which the package or its script was last updated.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error